Pular para o conteúdo principal
POST
/
apps
/
{app_id}
/
branches
curl -X POST "https://ecommerce.jelou.ai/apps/{app_id}/branches" \
  -H "Authorization: Bearer <API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Filial Centro",
    "code": "BRANCH-DOWNTOWN",
    "address": "Av. Principal 123, Quito",
    "phone": "+593991234567",
    "status": true,
    "properties": {
      "schedule": "09:00 - 18:00",
      "zone": "north"
    }
  }'
{
  "id": 1,
  "name": "Filial Centro",
  "code": "BRANCH-DOWNTOWN",
  "address": "Av. Principal 123, Quito",
  "phone": "+593991234567",
  "status": true,
  "properties": {
    "schedule": "09:00 - 18:00",
    "zone": "north"
  },
  "created_at": "2026-02-19T15:30:00Z",
  "updated_at": "2026-02-19T15:30:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.jelou.ai/llms.txt

Use this file to discover all available pages before exploring further.

app_id
string
obrigatório
O ID da sua loja no Jelou Shop.
name
string
obrigatório
Nome da filial (máx. 255 caracteres).
code
string
obrigatório
Código único da filial dentro da loja (máx. 255 caracteres).
address
string
Endereço da filial (máx. 255 caracteres).
phone
string
Número de telefone da filial (máx. 255 caracteres).
status
boolean
padrão:"true"
Status da filial (ativa/inativa).
properties
object
Objeto JSON com propriedades personalizadas da filial.
O code deve ser único por loja. Se você tentar criar duas filiais com o mesmo código na mesma loja, receberá um erro de validação.
curl -X POST "https://ecommerce.jelou.ai/apps/{app_id}/branches" \
  -H "Authorization: Bearer <API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Filial Centro",
    "code": "BRANCH-DOWNTOWN",
    "address": "Av. Principal 123, Quito",
    "phone": "+593991234567",
    "status": true,
    "properties": {
      "schedule": "09:00 - 18:00",
      "zone": "north"
    }
  }'
{
  "id": 1,
  "name": "Filial Centro",
  "code": "BRANCH-DOWNTOWN",
  "address": "Av. Principal 123, Quito",
  "phone": "+593991234567",
  "status": true,
  "properties": {
    "schedule": "09:00 - 18:00",
    "zone": "north"
  },
  "created_at": "2026-02-19T15:30:00Z",
  "updated_at": "2026-02-19T15:30:00Z"
}